<div>
  <h5>Payment Authorisation</h5>

  <div>
    <p>You'll need to authorise the
      <strong>{{ dAppName }}</strong> to withdraw
      <strong>{{ amount }} CAN</strong> from your account.
    </p>

    <p>Please, approve the MetaMask transaction that will popup when you click
      <a href="#" (click)="authorise()">"Authorise Payment"</a> .</p>

    <div class="mt-10px text-right">
      <button class="btn btn-primary full-width" (click)="authorise()" [disabled]="isLoading">
          <i *ngIf="isLoading" class="fa fa-circle-o-notch fa-spin fa-fw"></i> {{ isLoading ? 'Authorising Payment ...' : 'Authorise Payment' }}
      </button>
    </div>
  </div>

</div>
